Package org.apache.commons.math3.analysis.interpolation

# Interface UnivariateInterpolator

All Known Implementing Classes:
  `AkimaSplineInterpolator`, `DividedDifferenceInterpolator`, `LinearInterpolator`, `LoessInterpolator`, `NevilleInterpolator`, `SplineInterpolator`, `UnivariatePeriodicInterpolator`

public interface UnivariateInterpolator
Interface representing a univariate real interpolating function.

## Method Summary

Modifier and Type
Method
Description
`UnivariateFunction`
`interpolate(double[] xval, double[] yval)`
Compute an interpolating function for the dataset.

## Method Details

### interpolate

UnivariateFunction interpolate(double[] xval, double[] yval) throws MathIllegalArgumentException, DimensionMismatchException
Compute an interpolating function for the dataset.

Parameters:
  `xval` - Arguments for the interpolation points.
  `yval` - Values for the interpolation points.
Returns:
  a function which interpolates the dataset.
Throws:
  `MathIllegalArgumentException` - if the arguments violate assumptions made by the interpolation algorithm.
  `DimensionMismatchException` - if arrays lengthes do not match